Search documentation of stripe_elixir

# StripeElixir.Services.Billing.CreditBalanceTransactionService (stripe_elixir v0.1.0)

Copy Markdown View Source

CreditBalanceTransaction

A credit balance transaction is a resource representing a transaction (either a credit or a debit) against an existing credit grant.

## Summary

### Functions

list(client, params \\ %{}, opts \\ [])

List credit balance transactions

retrieve(client, id, params \\ %{}, opts \\ [])

Retrieve a credit balance transaction

## Functions

# list(client, params \\ %{}, opts \\ [])

    @spec list(StripeElixir.Client.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

List credit balance transactions

Retrieve a list of credit balance transactions.

# retrieve(client, id, params \\ %{}, opts \\ [])

    @spec retrieve(StripeElixir.Client.t(), String.t(), map(), keyword()) ::
      {:ok, term()} | {:error, StripeElixir.Error.t()}

Retrieve a credit balance transaction

Retrieves a credit balance transaction.